For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get an address

URL

GET https://api.complycube.com/v1/addresses/:id

Retrieves an existing address.

Headers

Name
Type
Description

Authorization*

string

The API live or test key.

Path parameters

Name
Type
Description

id*

string

The ID of the address.

Example request

curl -X GET https://api.complycube.com/v1/addresses/{:addressId} \
     -H 'Authorization: <YOUR_API_KEY>'
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const address = await complycube.address.get("ADDRESS_ID");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

address = cc_api.addresses.get('ADDRESS_ID')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$address = $ccapi->address()->get('ADDRESS_ID');
using ComplyCube.Net;
using ComplyCube.Net.Resources.Addresses;

var addressApi = new AddressApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var address = await addressApi.GetAsync("ADDRESS_ID");

Example response

{
    "id": "5eb1276f96be4a0008713af6",
    "clientId": "5eb1276d96be4a0008713af5",
    "type": "main",
    "propertyNumber": "Flat 323",
    "line": "Common street",
    "city": "Aldgate",
    "state": "London",
    "postalCode": "W10 11L",
    "country": "GB",
    "fromDate": "2007-09-01",
    "createdAt": "2020-01-04T17:24:29.146Z",
    "updatedAt": "2020-01-04T17:24:29.146Z"
}
{
    "type": "resource_not_found",
    "message": "Invalid address id '5eb1276f96be4a0008713af5'"
}